Announcement

Collapse
No announcement yet.

Darkplaces Error Reporting Thread

Collapse
This is a sticky topic.
X
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • with the 64bit versions of sept2016 DP builds the game insta-crashes
    when attempting to start a new game in mission-pack2 and shows this same error every time:



    .

    it only seems to happen with the 64bit builds and only when if you're loading HD replacement content.

    it doesnt happen when playing without any HD replacement content and
    it also only seems to happen when using the 64bit builds, the 32bit builds dont seem to crash
    .
    are you curious about what all there is out there in terms of HD content for quake?
    > then make sure to check out my 'definitive' HD replacement content thread! <
    everything that is out there for quake and both mission-packs, compiled into one massive thread

    Comment


    • Originally posted by Seven View Post
      So Darkplaces is starting to follow Quake3 shaders more consequently now ?
      git.xonotic.org Git - xonotic/darkplaces.git/commit

      yeah!!
      Originally posted by Seven View Post
      That sounds like a good thing. Now all the noob shader mods will show up as broken
      hahahha

      It's my fault!! in these time i just copy-paste old quake3 shaders, and i believe webangel did copy my examples

      Yopu can find good example shaders in xonotic!!
      the invasion has begun! hide your children, grab the guns, and pack sandwiches.

      syluxman2803

      Comment


      • It is very nice that DarkPlaces is support "{" alpha masked textures now. Will make life for map makers like Sock and others much easier.

        Minor stuff that would make the world a better place:

        1) It would be nice if DarkPlaces supported ALT-ENTER support to toggle between fullscreen and windowed mode.

        Its really the only engine that doesn't do this ... everything from ezQuake, Quakespasm, FTEQW and on and on and on ... does this.

        2) Would be nice if DarkPlaces supported setting model flag 0x4000 in QME3.1 for Quake .mdl color 255 to be considered transparent, like FTE does and like how the special Quakespasm by Spike does this --- among other engines.

        Poor but functional screenshot example from Quakespasm (spiked version):


        Obviously FTE has long supported this (it's a Hexen flag). Mark V's WinQuake version and GLQuake version support it, so QBism's software renderer super8.

        It probably will not be the distance future when some single player release uses this as it was requested by mapper and that the special Spike version of Quakespasm does support it.
        Quakeone.com - Being exactly one-half good and one-half evil has advantages. When a portal opens to the antimatter universe, my opposite is just me with a goatee.

        So while you guys all have to fight your anti-matter counterparts, me and my evil twin will be drinking a beer laughing at you guys ...

        Comment


        • Zoom messes with settings
          When zooming out, FOV resets to the default 90 and mouse sensitivity drops down to 3. Each time I have to restore my settings manually. This is annoying.
          ♪ I'm skiiiiiiinnin' in the pain, just skiiiiiiinnin' in the pain ♪
          ♪ What a glorious feelin' I'm haaaaaaappy again ♪

          Comment


          • when i pull down the console and type "r_full" and hit tab, it autocompletes to r_fullbright, but it doesn't append a space at the end, as it does with other commands.

            This has ruined my life.

            Comment


            • Originally posted by bfg666 View Post
              Zoom messes with settings
              When zooming out, FOV resets to the default 90 and mouse sensitivity drops down to 3. Each time I have to restore my settings manually. This is annoying.
              Hello bfg666,

              You either use a buggy/crappy mod (ssqc or csqc) or a wrong alias.
              Darkplaces doesnt edit your personal configs in an evil way

              Please read more about the Zoom-View feature and how mods handle it here

              If you want a zoom view MOD in Darkplaces, then you should use the qc-extension DP_VIEWZOOM. Everything else will be evil and edit your personal config files !
              Here is a youtube clip that shows this feature in-game: https://www.youtube.com/watch?v=8wyt...re=c4-overview



              Having that said,
              Of course you can always use alias to achieve exactly what you want to without using a mod. But you have to adjust its fov and sensitivity to your own values (like they are in your config):
              alias zoom_out "sensitivity 3.7777;fov 20;wait;fov 30;wait;fov 45;wait;fov 60;wait;fov 80;wait;fov 100.7777;bind b zoom_in"
              alias zoom_in "sensitivity 1;fov 90;wait;fov 75;wait;fov 60;wait;fov 45;wait;fov 30;wait;fov 20;bind b zoom_out"
              bind b zoom_in
              I highlighted the values you need to adjust to your personal used ones in green.
              The rest will work as it is.

              Copy / paste it into your autoexec.
              Next time you press "b" in-game you will zoom in.
              When you press "b" again, you will zoom out to you personal used config values again.



              ===============================================



              Originally posted by gulliver-trans View Post
              when i pull down the console and type "r_full" and hit tab, it autocompletes to r_fullbright, but it doesn't append a space at the end, as it does with other commands.

              This has ruined my life.
              Hello gulliver-trans,

              I am sorry to hear that your life was ruined
              But what you just described is correct and has its purpose.

              See, when you are searching for a cvar which is a sub-cvar of a whole cvar family or there are more than 1 cvars having the same name start, then Darkplaces behaves excatly like this --> It will NOT add a space behind it, as you didnt have found the cvar you are looking for yet !
              Only when the part of the name that you typed before hitting TAB has only 1 match, Darkplaces will add a space behind it, as you have found exactly what you was looking for.


              Example:
              If you type: R_GLSL and hit TAB, Darkplaces will present you more than 20 cvars that have this name start.
              You have to look at the list, find the one you are looking for and can directly type the rest of it without pressing the "backspace" button (to delete the space).

              If you type: R_SHOWB and hit TAB, Darkplaces will know that there is only 1 cvar that matches your entry: R_SHOWBBOXES
              It will write it completely for you and even adds a space for your convenience, so that you only need to type the vlaue of your desire and hit ENTER


              Yes, Darkplaces likes you and doesnt want to ruin your life

              Best wishes,
              Seven

              Comment


              • Originally posted by Seven View Post

                See, when you are searching for a cvar which is a sub-cvar of a whole cvar family or there are more than 1 cvars having the same name start, then Darkplaces behaves excatly like this --> It will NOT add a space behind it, as you didnt have found the cvar you are looking for yet !
                whoops. didn't see the r_fullbrights (plural) command.

                the day is saved!

                Comment


                • I'm not using a mod for that, only DP's standard zoom_in command. There is no alias in the config file, only "bind F11" "zoom_in". The zoom_out feature isn't even bound to F11 in the config but it does zoom out nonetheless! Weird. I didn't know you could bind both zoom_in and zoom_out to the same key. So I have to put those aliases in the autoexec? They should be in the default config, since the zoom is practically useless without them. LordHavoc, if you're reading this...

                  Honestly, I don't even use the zoom feature that much. It's only useful in maps with very large open areas like Something Wicked. I mostly hit F11 accidentally instead of F12 when I want to take a screenshot. I've rebound F11 to screenshot too, so this problem is solved, and the zoom is now bound to DEL. I've added your aliases to my autoexec and the zoom works fine now. Thanks!
                  Last edited by bfg666; 10-26-2016, 11:40 PM.
                  ♪ I'm skiiiiiiinnin' in the pain, just skiiiiiiinnin' in the pain ♪
                  ♪ What a glorious feelin' I'm haaaaaaappy again ♪

                  Comment


                  • Hi,
                    i think i find a bug with the last Build, here a copy from my Post in another Thread:

                    ====================

                    Today i find another error under my Ubuntu Server with the new Version from Darkplace (2016-09-17 autobuild) i become a segment fault error on startup.

                    Here is the log from my console:

                    user[at]host:/srv/steam/server/33_quake_darkplaces$ ./darkplaces-linux-x86_64-dedicated -developer -condebug -developer_memory
                    Console initialized.
                    Mem_Free: data == NULL (called at ../../../fs.c:1813)
                    Game is DarkPlaces-Quake using base gamedir id1
                    gamename for server filtering: DarkPlaces-Quake
                    DarkPlaces-Quake Linux 06:08:04 Sep 17 2016 - release
                    userdir 0 = (writable)
                    userdir 1 = /home/stmadm/.darkplaces/ (writable)
                    userdir 2 (not applicable)
                    userdir 3 (not applicable)
                    userdir 1 is the winner
                    Added packfile id1/PAK0.PAK (339 files)
                    Added packfile id1/PAK1.PAK (85 files)
                    Playing registered version.
                    Trying to load library... "libd0_blind_id.so.0" - loaded.
                    Trying to load library... "libd0_rijndael.so.0" - loaded.
                    Trying to load library... "libcurl.so.4" - loaded.
                    Skeletal animation uses SSE code path
                    Trying to load library... "libode.so.3" - loaded.
                    ODE library loaded with double precision.
                    ODE configuration list: ODE ODE_EXT_trimesh ODE_EXT_opcode ODE_OPC_new_collider ODE_double_precision
                    execing quake.rc
                    execing default.cfg
                    execing config.cfg
                    couldn't exec autoexec.cfg
                    Host_ShutdownServer
                    SpawnServer: start
                    Process is becoming 'nice'...
                    Speicherzugriffsfehler (Speicherabzug geschrieben)
                    How i can fix that?

                    Greetings
                    Das_Offertorium

                    P.s. Same error under root

                    P.s.s without any *.pak File in the Folder id1 the server will start without any issue. But with my PAK-Files from my steam installation i have this error. Is there a Patch or anything else for the PAK Files?

                    ====================
                    And:
                    ====================
                    Under Windows7_64Bit Darkplaces also crashed with this startup parameters:

                    @echo off
                    darkplaces.exe -game id1 -dedicated
                    ====================

                    Bye
                    Das_Offertorium

                    Comment


                    • afaik the pak-files from the steam installation are the exact same pak-files as from dos-quake


                      one thing you could do i guess is have steam verify the files to make sure they arent in any way corrupted.

                      > rightclick on quake in your steam library, click properties
                      > browse to the tab 'local files', and there click 'verify integrity of game cache'

                      this will make steam check if all files of your installation match the files on their servers and if not it will re-download any files that mightve gotten corrupt
                      .
                      are you curious about what all there is out there in terms of HD content for quake?
                      > then make sure to check out my 'definitive' HD replacement content thread! <
                      everything that is out there for quake and both mission-packs, compiled into one massive thread

                      Comment


                      • Hi Talisa,
                        thanks for the reply, i have checked the md5 from here and test it with Version 1.01 and 1.06. MD5 is matched but same Error in any Version.

                        Same Error with the Pak from the CD Version.

                        Can anybody make a dedicated Server under Linux or Windows with the new Version?

                        Greetings
                        D_O

                        Comment


                        • I just downloaded Quake Epsilon to give it a try, but then also downloaded the latest Windows 64 autobuild to run with the latest and greatest Darkplaces.

                          Some textures aren't loading - http://i.imgur.com/DXfbooW.jpg

                          That could be a problem with Epsilon and not Darkplaces but I'm not sure. The console shows errors like:

                          ^7^1maps/e1m1.bsp:^7 could not load texture ^3"$lightmap"^7 (frame 0) for layer 1 of shader ^2"comp1_1"
                          ^7^1maps/e1m1.bsp:^7 could not load texture ^3"$lightmap"^7 (frame 0) for layer 1 of shader ^2"twall2_2"
                          ^7^1maps/e1m1.bsp:^7 could not load texture ^3"$lightmap"^7 (frame 0) for layer 1 of shader ^2"twall2_1"
                          ^7^1maps/e1m1.bsp:^7 could not load texture ^3"$lightmap"^7 (frame 0) for layer 1 of shader ^2"slip1"

                          I saved the console output to a log and I noticed these as well which may be actual engine bugs:

                          ^7Trying to load library... "libode3.dll" "libode2.dll" "libode1.dll" - failed.

                          ...

                          ^7Trying to load library... "libavw.dll" - failed.

                          ...

                          ^7Failed to load font-file for 'gfx/conchars', it will not support as many characters.
                          ^7Failed to load font-file for 'gfx/font_console', it will not support as many characters.
                          ^7Failed to load font-file for 'gfx/font_sbar', it will not support as many characters.
                          ^7Failed to load font-file for 'gfx/font_notify', it will not support as many characters.
                          ^7Failed to load font-file for 'gfx/font_chat', it will not support as many characters.
                          ^7Failed to load font-file for 'gfx/font_centerprint', it will not support as many characters.
                          ^7Failed to load font-file for 'gfx/font_infobar', it will not support as many characters.
                          ^7Failed to load font-file for 'gfx/font_menu', it will not support as many characters.
                          ^7Failed to load font-file for 'gfx/font_user0', it will not support as many characters.
                          ^7Failed to load font-file for 'gfx/font_user1', it will not support as many characters.
                          ^7Failed to load font-file for 'gfx/font_user2', it will not support as many characters.
                          ^7Failed to load font-file for 'gfx/font_user3', it will not support as many characters.
                          ^7Failed to load font-file for 'gfx/font_user4', it will not support as many characters.
                          ^7Failed to load font-file for 'gfx/font_user5', it will not support as many characters.
                          ^7Failed to load font-file for 'gfx/font_user6', it will not support as many characters.
                          ^7Failed to load font-file for 'gfx/font_user7', it will not support as many characters.

                          Comment


                          • epsilon is shit

                            Salu2
                            the invasion has begun! hide your children, grab the guns, and pack sandwiches.

                            syluxman2803

                            Comment


                            • Epsilon was made 5 years ago, based on outdated versions of various mods. Not surprising that errors are popping up in the latest DP client. Recommendation: build your own up-to-date HD Quake.
                              ♪ I'm skiiiiiiinnin' in the pain, just skiiiiiiinnin' in the pain ♪
                              ♪ What a glorious feelin' I'm haaaaaaappy again ♪

                              Comment


                              • Originally posted by bfg666 View Post
                                Epsilon was made 5 years ago, based on outdated versions of various mods. Not surprising that errors are popping up in the latest DP client. Recommendation: build your own up-to-date HD Quake.
                                Epsilon just put out a recent build at Christmas and they have released for mission packs, DOPA, Travail, Beyond Belief, and The Myths which is nice.

                                But I'll start pulling out .pk3 files until I figure out the culprit. If it is a bad texture pack, I'll find another to replace it I guess.

                                Even removing all the Epsilon .pk3 files, these errors remain:

                                ^7Trying to load library... "libode3.dll" "libode2.dll" "libode1.dll" - failed.

                                ...

                                ^7Trying to load library... "libavw.dll" - failed.

                                ...

                                ^7Failed to load font-file for 'gfx/conchars', it will not support as many characters.
                                ^7Failed to load font-file for 'gfx/font_console', it will not support as many characters.
                                ^7Failed to load font-file for 'gfx/font_sbar', it will not support as many characters.
                                ^7Failed to load font-file for 'gfx/font_notify', it will not support as many characters.
                                ^7Failed to load font-file for 'gfx/font_chat', it will not support as many characters.
                                ^7Failed to load font-file for 'gfx/font_centerprint', it will not support as many characters.
                                ^7Failed to load font-file for 'gfx/font_infobar', it will not support as many characters.
                                ^7Failed to load font-file for 'gfx/font_menu', it will not support as many characters.
                                ^7Failed to load font-file for 'gfx/font_user0', it will not support as many characters.
                                ^7Failed to load font-file for 'gfx/font_user1', it will not support as many characters.
                                ^7Failed to load font-file for 'gfx/font_user2', it will not support as many characters.
                                ^7Failed to load font-file for 'gfx/font_user3', it will not support as many characters.
                                ^7Failed to load font-file for 'gfx/font_user4', it will not support as many characters.
                                ^7Failed to load font-file for 'gfx/font_user5', it will not support as many characters.
                                ^7Failed to load font-file for 'gfx/font_user6', it will not support as many characters.
                                ^7Failed to load font-file for 'gfx/font_user7', it will not support as many characters.
                                Last edited by enderandrew; 01-03-2017, 12:21 PM.

                                Comment

                                Working...
                                X